# Real Time Incident Radiation

![](/files/-MihiladI1vXx63gHm04)

![](/files/-Mihil3gy4zgG-dIbgLW) - [\[source code\]](https://github.com/ladybug-tools/ladybug-grasshopper/blob/master/ladybug_grasshopper/src//LB%20Real%20Time%20Incident%20Radiation.py)

Compute Incident Radiation values for any sky matrix in real time using the Geometry/Sky intersection matrix produced by the "LB Incident Radiation" component.

Using this component enables one to scroll through radiation on an hour-by-hour or month-by-month basis in a manner that is an order of magnitude faster than running each sky matrix through the "LB Incident Radiation" component.

The speed of this component is thanks to the fact that the Geometry/Sky intersection matrix contains the relationship between the geometry and each patch of the sky. So computing new radiation values is as simple as multiplying the sky matrix by the intersection matrix.

### Inputs

* **int\_mtx \[Required]**

A Geometry/Sky Intersection Matrix from the "LB Incident Radiation" component. This matrix contains the relationship between each point of the analyzed geometry and each patch of the sky.

* **sky\_mtx \[Required]**

A Sky Matrix from the "LB Cumulative Sky Matrix" component, which describes the radiation coming from the various patches of the sky. The "LB Sky Dome" component can be used to visualize any sky matrix.

### Outputs

* **results**

A list of numbers that aligns with the points of the original analysis performed with the "LB Incident Radiation" component. Each number indicates the cumulative incident radiation received by each of the points from the sky matrix in kWh/m2. To visualize these radiation values in the Rhino scene, connect these values to the "LB Spatial Heatmap" component along with the mesh output from the original analysis with the "LB Incident Radiation" component.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/ladybug-primer/components/3_analyzegeometry/real_time_incident_radiation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
